package com.cultural.heritage.model.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
@Schema(description = "商品批量删除请求体", requiredProperties = {"idList"})
public class CommonBatchRequest implements Serializable {


    @Schema(description = "批量删除的商品id列表(id > 0)", example = "[8, 9, 17]")
    private List<Long> idList;


    @Serial
    private static final long serialVersionUID = 1L;
}
