package com.cultural.heritage.model.dto.appointment.single;

import com.cultural.heritage.model.dto.timeperiod.TimePeriodAddRequest;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;


@Data
@Schema(description = "预约日期请求体", requiredProperties = {
        "specificDate", "isAvailable", "timePeriodAddRequestList"
})
public class AppointmentDateSingleAddRequest implements Serializable {

    /**
     * 商品id
     */
    @Schema(description = "商品id", example = "2")
    private Long goodId;

    /**
     * 具体预约时间
     */
    @Schema(description = "具体预约时间", example = "2024-12-04")
    private String specificDate;

    /**
     * 是否可预约
     */
    @Schema(description = "是否可预约", example = "1")
    private Integer isAvailable;

    /**
     * 预约时间段列表
     */
    private List<TimePeriodAddRequest> timePeriodAddRequestList;


    @Serial
    private static final long serialVersionUID = 1L;
}
