package com.cultural.heritage.model.dto.snapshot;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
@Schema(description = "订单优惠券信息", requiredProperties = {"name", "conditionAmount"})
public class CouponSnapshot implements Serializable {


    /**
     * 优惠券名称
     */
    @Schema(description = "优惠券名称", example = "满200减50")
    private String name;

    /**
     * 满减金额
     */
    @Schema(description = "满减金额", example = "50")
    private BigDecimal conditionAmount;



    @Serial
    private static final long serialVersionUID = 1L;
}
