package com.cultural.heritage.model.dto.timeperiod;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "预约时间段更新请求体", requiredProperties = {"id", "timeSlot",
"minNumber", "maxNumber"})
public class TimePeriodUpdateRequest implements Serializable {

    /**
     * 预约时间段id
     */
    @Schema(description = "预约时间段id(id > 0)", example = "10")
    private Long id;


    /**
     * 时间段
     */
    @Schema(description = "时间段", example = "08:00-10:00")
    private String timeSlot;


    /**
     * 最小预约人数
     */
    @Schema(description = "最小预约人数", example = "3")
    private Integer minNumber;


    /**
     * 最大预约人数
     */
    @Schema(description = "最大预约人数", example = "10")
    private Integer maxNumber;



    /**
     * 预约日期id
     */
    @Schema(description = "预约日期id", example = "12")
    private Long appointmentDateId;


    @Serial
    private static final long serialVersionUID = 1L;
}
