package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 服装等级
 * @TableName   clothes_grade
 */

@Data
@TableName("clothes_grade")
public class ClothesGrade implements Serializable {


    /**
     * 服装等级id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 类别名称
     */
    private String clothesType;


    /**
     * 商品图片
     */
    private String image;


    /**
     * 最低价格
     */
    private BigDecimal minPrice;


    /**
     * 最高价格
     */
    private BigDecimal maxPrice;


    /**
     * 服装价位简介
     */
    private String brief;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
