package com.cultural.heritage.service.good;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.good.GoodQueryRequest;
import com.cultural.heritage.model.entity.CartRecord;
import com.cultural.heritage.model.entity.Good;

import java.math.BigDecimal;
import java.util.List;

public interface GoodService extends IService<Good> {

    /**
     * 获取查询条件
     */
    QueryWrapper<Good> getGoodQueryWrapper(GoodQueryRequest goodQueryRequest, boolean isServiceGood);


    /**
     * 根据商品类名查询商品列表
     */
    List<Good> getGoodListByTypeName(String typeName);


    /**
     * 校验
     */
    void validGood(Good good, boolean update);


    /**
     * 更新购物车中的小计
     */
    List<CartRecord> updateCartGoodPrice(Long goodId, BigDecimal targetPrice);
}
