package com.cultural.heritage.rabbitmqtest;

import org.springframework.amqp.rabbit.annotation.Exchange;
import org.springframework.amqp.rabbit.annotation.Queue;
import org.springframework.amqp.rabbit.annotation.QueueBinding;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.stereotype.Component;

@Component
public class ConsumerTest {

    @RabbitListener(bindings = @QueueBinding(
            value = @Queue("myQueue"),
            exchange = @Exchange(name = "myExchange", delayed = "true"),
            key = "myKey"
    ))
    public void listenDelayMessage(String msg) {
        System.out.println("接收延时消息：" + msg);
    }

}
